
QGIS Application - Bug report #14979

style dock: switching to "(default)" style preset not working

2016-06-07 08:18 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22928

Description

Steps to reproduce:

    1. Create a new project, add a vector layer

    2. Open the style dock

    3. Go to the style tab, and click on the "Add" button

    4. Go to symbology tab, and change the style to differentiate it from "(default)" 

    5. Go back to style tab, add another preset via the "Add" button, and change the symbology to make it unique

    6. Go back to style tab, switch between style presets, and notice the "(default)" preset fails to load

Associated revisions

Revision 123607be - 2016-07-06 03:36 PM - Nathan 

Fix #14979 - Restore default style correctly

History

#1 - 2016-07-06 06:36 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"123607be71802759964725be84447aad03b3e836".
